Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.TableOfContentsConfig Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | TableOfContentsConfig ()
| Constructor.
def | Set (title, bookmark_level_array, is_show_serial_number, include_toc_pages)
| Set value. More...

## Static Public Attributes
| bookmark_level_array = _fsdk.TableOfContentsConfig_bookmark_level_array
| A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents". For each element in input array, valid range : from 1 to(depth). depth is returned by function FoxitPDFSDKPython2.PDFDoc.GetBookmarkLevelDepth . If input array is an empty array, that means all bookmarks are used to generate "Table of Contents".
| include_toc_pages = _fsdk.TableOfContentsConfig_include_toc_pages
| true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.
| is_show_serial_number = _fsdk.TableOfContentsConfig_is_show_serial_number
| true means to show the serial number in the table of contents, while false means not to show the serial number.
| title = _fsdk.TableOfContentsConfig_title
| Title for the table of contents. If this is an empty string, the default value "Table of Contents" will be used.

## Detailed Description

This class represents the table of contents configuration.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.TableOfContentsConfig.Set | ( |  | title,
|  |  | bookmark_level_array,
|  |  | is_show_serial_number,
|  |  | include_toc_pages
| ) |  |

Set value.

Parameters

  [in] | title | Title for the table of contents.
  [in] | bookmark_level_array | A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".
  [in] | is_show_serial_number | true means to show the serial number in the table of contents, while false means not to show the serial number.
  [in] | include_toc_pages | true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.

@ return None.